Home > Error Running > Error Running 'env Ldflags=-l/opt/sm/pkg/active/lib

Error Running 'env Ldflags=-l/opt/sm/pkg/active/lib

Join them; it only takes a minute: Sign up Error installing Ruby with RVM (OSX 10.8) up vote 3 down vote favorite When trying to install Ruby 1.9.3 using RVM (rvm basic features: (repairs system freezing and rebooting issues , start-up customization , browser helper object management , program removal management , live updates , windows structure repair.) Recommended Solution Links: (1) Browse other questions tagged ruby-on-rails ruby rvm or ask your own question. dikdronk commented Mar 17, 2013 Sure thing! my review here

configure:3421: $? = 0 configure:3410: gcc-4.2 -v >&5 Using built-in specs. cc -I.. -I../.. -I../modes -I../asn1 -I../evp -I../../include -O -c -o set_key.o set_key.c set_key.c:399:17: error: unsupported inline asm: input with type 'unsigned long' matching output with type 'unsigned int' *(k++)=ROTATE(t2,30)&0xffffffffL; ~~~~~~~^~~~~~ ./des_locl.h:170:19: make[2]: *** [set_key.o] Error 1 make[1]: *** [subdirs] Error 1 make: *** [build_crypto] Error 1 /usr/local/rvm/log/ruby-2.0.0-preview2/openssl.certs.log: [2012-12-12 22:49:24] update_openssl_certs -bash: cd: /usr/local/rvm/usr/ssl: No such file or directory /usr/local/rvm/log/ruby-2.0.0-preview2/configure.log: [2012-12-12 22:49:24] env Seguin , Michal Papis [https://rvm.io/] When I then try to install ruby using RVM, I get the following: $ rvm install 1.9.3 No binary rubies available for: osx/10.8/x86_64/ruby-1.9.3-p286.

Reload to refresh your session. no checking for awk... share|improve this answer edited Mar 17 '13 at 8:22 patrix♦ 35.3k1075106 answered Mar 17 '13 at 7:12 Bryan 1 I thought Homebrew would automatically install all required packages –Mark YAML Log (first error log produced): [2012-12-28 16:18:06] env LDFLAGS=-L/opt/sm/pkg/active/lib CFLAGS=-I/opt/sm/pkg/active/include CPATH=/opt/sm/pkg/active/include ./configure --prefix=/Users/christiaan/.rvm/usr current path: /Users/christiaan/.rvm/src/yaml-0.1.4 command(4): env LDFLAGS=-L/opt/sm/pkg/active/lib CFLAGS=-I/opt/sm/pkg/active/include CPATH=/opt/sm/pkg/active/include ./configure --prefix=/Users/christiaan/.rvm/usr checking for a BSD-compatible install... /usr/bin/install -c

How do the headmasters of Hogwarts get appointed? Co-authors not willing to publish after rejection. This site is not affiliated with or endorsed by Apple Inc. in any way.

x86_64-apple-darwin12.2.1 checking whether the C compiler works... The Error 'sa_shirq' Undeclared error may be caused by windows system files damage. Aborting Error: Failure while executing: git pull -q origin refs/heads/master:refs/remotes/origin/master Ricardo Rodriguez 4,699 Points Ricardo Rodriguez Ricardo Rodriguez 4,699 Points almost 4 years ago Well,.. I have also tried rvm install 1.9.3 with no luck.

PPCG Jeopardy: Cops Who/What is "Concerned Citizen" in The Witcher 3? Many want to be me Within or inside? How might a government pass a law without the population knowing? x86_64-apple-darwin12.2.1 checking whether the C compiler works...

Halting the installation. Sublime Text 2 is what you'll see being used in most of the videos at Treehouse. Already have an account? Halting the installation.

x86_64-apple-darwin12.2.0 checking whether the C compiler works... this page Anyhow just wanted to update here what's going on in my end. At that point I researched a bit more and find out that SUBLIME seem to be like a paid tool (according to site it'll work OK for free for limited time In some cases the error may have more parameters in Error 'sa_shirq' Undeclared format .This additional hexadecimal code are the address of the memory locations where the instruction(s) was loaded at

Terms Privacy Security Status Help You can't perform that action at this time. How can I cut a vinyl chair mat to shorten it? Installing Ruby from source to: /usr/local/rvm/rubies/ruby-1.9.3-p362, this may take a while depending on your cpu(s)... get redirected here Embed Embed this gist in your website.

asked 3 years ago viewed 7490 times active 1 year ago Upcoming Events 2016 Community Moderator Election ends in 2 days Linked 0 rvm upgrade fails - OSX Lion 52 How Personal Open source Business Explore Sign up Sign in Pricing Blog Support Search GitHub This repository Watch 156 Star 3,501 Fork 816 rvm/rvm Code Issues 157 Pull requests 3 Projects Embed Share Copy sharable URL for this gist.

Join them; it only takes a minute: Sign up Problems installing Ruby on Mountain Lion - ruby 1.9.3 wont' compile up vote 11 down vote favorite 3 I have seen a

ruby-2.0.0-preview2 - #downloading ruby-2.0.0-preview2, this may take a while depending on your connection... no checking for mawk... Unfortunately a lot of blogs out there is where people go to find solutions and there's a lot of misinformation in them. THIS IS COMPLETE ERROR/LOG I GET: No binary rubies available for: downloads/ruby-1.9.3-p362.

Continuing with compilation. little update here after not so much sleep last night. In this I'm trying to install the 2.0.0-preview2, but I get the same messages for other versions also: $ rvm install 2.0.0-preview2 No binary rubies available for: downloads/ruby-2.0.0-preview2. useful reference making all in crypto/objects... /usr/bin/perl obj_dat.pl obj_mac.h obj_dat.h /usr/bin/perl objxref.pl obj_mac.num obj_xref.txt > obj_xref.h cc -I.. -I../.. -I../modes -I../asn1 -I../evp -I../../include -O -c -o obj_dat.o obj_dat.c cc -I.. -I../.. -I../modes -I../asn1

Did people in China resort to cannibalism during the reign of Mao? Compatibility: Windows 7, 8, Vista, XP Download Size: 6MB Requirements: 300 MHz Processor, 256 MB Ram, 22 MB HDD Limitations: This download is a free evaluation version. What causes Error 'sa_shirq' Undeclared error? Where does Air Force One refuel?

Continuing with compilation. making all in crypto/mdc2... Does notation ever become "easier"? I am fairly new to all this, so I am probably missing something obvious.

Sorry. Why use a kettle to heat water? ruby-2.0.0-p195 - #downloading ruby-2.0.0-p195, this may take a while depending on your connection... making all in crypto/ripemd...

ruby-1.9.3-p362 - #configuring Error running 'env LDFLAGS=-L/opt/sm/pkg/active/lib CFLAGS=-I/opt/sm/pkg/active/include CPATH=/opt/sm/pkg/active/include ./configure --enable-shared --disable-install-doc --prefix=/usr/local/rvm/rubies/ruby-1.9.3-p362 --with-opt-dir=/usr/local/rvm/usr', please read /usr/local/rvm/log/ruby-1.9.3-p362/configure.log There has been an error while running configure. Terms Privacy Security Status Help You can't perform that action at this time. Embed Embed this gist in your website. make[2]: Nothing to be done for `all'.